Build Failed!

15 Jul 2024 01:00:00 UTC
Unless all site previews are broken, this is a problem with the sphinx-sizzle-theme package.
Configuration
{'html_theme': 'sizzle'}
Output
======================================== stdout ========================================
Running Sphinx v7.3.7
making output directory... done
locale_dir /home/runner/work/sphinx-themes.org/sphinx-themes.org/sample-docs/locales/en/LC_MESSAGES does not exist
Original exception:
Traceback (most recent call last):
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx/registry.py", line 453, in load_extension
    mod = import_module(extname)
  File "/opt/hostedtoolcache/Python/3.10.14/x64/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx_sizzle_theme/__init__.py", line 27, in <module>
    from docutils.nodes import (strong, emphasis, inline, Text, document,
ImportError: cannot import name 'reprunicode' from 'docutils.nodes' (/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/docutils/nodes.py)


======================================== stderr ========================================

Traceback (most recent call last):
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx/registry.py", line 453, in load_extension
    mod = import_module(extname)
  File "/opt/hostedtoolcache/Python/3.10.14/x64/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx_sizzle_theme/__init__.py", line 27, in <module>
    from docutils.nodes import (strong, emphasis, inline, Text, document,
ImportError: cannot import name 'reprunicode' from 'docutils.nodes' (/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/docutils/nodes.py)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx/cmd/build.py", line 332, in build_main
    app = Sphinx(args.sourcedir, args.confdir, args.outputdir,
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx/application.py", line 268, in __init__
    self._init_builder()
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx/application.py", line 338, in _init_builder
    self.builder.init()
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx/builders/html/__init__.py", line 228, in init
    self.init_templates()
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx/builders/html/__init__.py", line 278, in init_templates
    self.theme = theme_factory.create(theme_name)
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx/theming.py", line 243, in create
    entry_point_loader()
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx/theming.py", line 204, in _load_theme_closure
    app.setup_extension(theme_module)
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx/application.py", line 402, in setup_extension
    self.registry.load_extension(self, extname)
  File "/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/sphinx/registry.py", line 456, in load_extension
    raise ExtensionError(__('Could not import extension %s') % extname,
sphinx.errors.ExtensionError: Could not import extension sphinx_sizzle_theme (exception: cannot import name 'reprunicode' from 'docutils.nodes' (/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/docutils/nodes.py))

Extension error:
Could not import extension sphinx_sizzle_theme (exception: cannot import name 'reprunicode' from 'docutils.nodes' (/home/runner/work/sphinx-themes.org/sphinx-themes.org/build/sphinx-sizzle-theme/lib/python3.10/site-packages/docutils/nodes.py))